<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structarp__ol__t" kind="struct" language="C++" prot="public">
    <compoundname>arp_ol_t</compoundname>
    <includes local="no">cy_lpa_wifi_arp_ol.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structarp__ol__t_1a5c5d17fd2782ce52a39ebe95c985a849" kind="variable" mutable="no" prot="public" static="no">
        <type>char</type>
        <definition>char arp_ol_t::name[4]</definition>
        <argsstring>[4]</argsstring>
        <name>name</name>
        <briefdescription>
<para>ARP. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="145" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="145" />
      </memberdef>
      <memberdef id="structarp__ol__t_1a80b1b8f2693769dc8a768d4ecbd06ee4" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structarp__ol__cfg__t">arp_ol_cfg_t</ref> *</type>
        <definition>const arp_ol_cfg_t* arp_ol_t::config</definition>
        <argsstring />
        <name>config</name>
        <briefdescription>
<para>pointer to configuration from Configurator <ref kindref="compound" refid="structarp__ol__cfg__t">arp_ol_cfg_t</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="146" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="146" />
      </memberdef>
      <memberdef id="structarp__ol__t_1a44385b0f96b0108b308c80b2a480d4ee" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structol__info__t">ol_info_t</ref> *</type>
        <definition>ol_info_t* arp_ol_t::ol_info_ptr</definition>
        <argsstring />
        <name>ol_info_ptr</name>
        <briefdescription>
<para>Offload Manager Info structure <ref kindref="compound" refid="structol__info__t">ol_info_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="147" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="147" />
      </memberdef>
      <memberdef id="structarp__ol__t_1a8ade24a1d65f167cd373b8222ebc421b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t arp_ol_t::ip_address</definition>
        <argsstring />
        <name>ip_address</name>
        <briefdescription>
<para>IP Address for this interface. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="148" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="148" />
      </memberdef>
      <memberdef id="structarp__ol__t_1aa2e6c553b6b7c1c536131a5174403e76" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__lpa__enums_1gacaa1d0b548141e9016a65d6e49f1cc46">arp_ol_config_state_t</ref></type>
        <definition>arp_ol_config_state_t arp_ol_t::state</definition>
        <argsstring />
        <name>state</name>
        <briefdescription>
<para>Currently written state in Device <ref kindref="member" refid="group__group__lpa__enums_1gacaa1d0b548141e9016a65d6e49f1cc46">arp_ol_config_state_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="149" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="149" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>ARP Offload context - this is a private structure; visible to allow for static definition. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="5">
        <label>ol_info_t</label>
        <link refid="structol__info__t" />
      </node>
      <node id="3">
        <label>arp_ol_t</label>
        <link refid="structarp__ol__t" />
        <childnode refid="4" relation="usage">
          <edgelabel>config</edgelabel>
        </childnode>
        <childnode refid="5" relation="usage">
          <edgelabel>ol_info_ptr</edgelabel>
        </childnode>
      </node>
      <node id="4">
        <label>arp_ol_cfg_t</label>
        <link refid="structarp__ol__cfg__t" />
      </node>
    </collaborationgraph>
    <location bodyend="150" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="143" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="144" />
    <listofallmembers>
      <member prot="public" refid="structarp__ol__t_1a80b1b8f2693769dc8a768d4ecbd06ee4" virt="non-virtual"><scope>arp_ol_t</scope><name>config</name></member>
      <member prot="public" refid="structarp__ol__t_1a8ade24a1d65f167cd373b8222ebc421b" virt="non-virtual"><scope>arp_ol_t</scope><name>ip_address</name></member>
      <member prot="public" refid="structarp__ol__t_1a5c5d17fd2782ce52a39ebe95c985a849" virt="non-virtual"><scope>arp_ol_t</scope><name>name</name></member>
      <member prot="public" refid="structarp__ol__t_1a44385b0f96b0108b308c80b2a480d4ee" virt="non-virtual"><scope>arp_ol_t</scope><name>ol_info_ptr</name></member>
      <member prot="public" refid="structarp__ol__t_1aa2e6c553b6b7c1c536131a5174403e76" virt="non-virtual"><scope>arp_ol_t</scope><name>state</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>